RDKit::CIPLabeler::CIPMolSpan< T, U > Class Template Reference

`#include <CIPMol.h>`

## Classes

class | CIPMolIter

## Public Member Functions

| CIPMolSpan ()=delete
| CIPMolSpan (ROMol &mol, std::pair< U, U > &&itr)
CIPMolIter | begin ()
CIPMolIter | end ()

## Detailed Description

### template<typename T, typename U>
class RDKit::CIPLabeler::CIPMolSpan< T, U >

Definition at line 25 of file CIPMol.h.

## Constructor & Destructor Documentation

## CIPMolSpan() [1/2]

template<typename T , typename U >

RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolSpan | ( |  | ) |

delete

## CIPMolSpan() [2/2]

template<typename T , typename U >

RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolSpan | ( | ROMol & | mol,
|  | std::pair< U, U > && | itr
| ) |  |

inline

Definition at line 52 of file CIPMol.h.

## Member Function Documentation

## begin()

template<typename T , typename U >

CIPMolIter RDKit::CIPLabeler::CIPMolSpan< T, U >::begin | ( |  | ) |

inline

Definition at line 57 of file CIPMol.h.

## end()

template<typename T , typename U >

CIPMolIter RDKit::CIPLabeler::CIPMolSpan< T, U >::end | ( |  | ) |

inline

Definition at line 58 of file CIPMol.h.

The documentation for this class was generated from the following file:

- CIPMol.h